Bug 1273341 - db2-10: DataSetLookupException on Process Instances Perspective
db2-10: DataSetLookupException on Process Instances Perspective
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Neus Miras
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 05:07 EDT by Pavel Kralik
Modified: 2015-11-06 05:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
db2-10 server log (621.24 KB, text/plain)
2015-10-20 05:07 EDT, Pavel Kralik
no flags Details
db2-97 server log (655.76 KB, text/plain)
2015-10-20 10:55 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-10-20 05:07:49 EDT
Created attachment 1084658 [details]
db2-10 server log

Description of problem:
BPMS 6.2.0.ER4 server with db2-105 datasource is experiencing DataSetLookupException in server.log.

server.log:
15:51:06,281 ERROR [org.dashbuilder.dataprovider.backend.sql.JDBCUtils] (http-/127.0.0.1:8080-6) SELECT COUNT(*) FROM (SELECT * FROM (SELECT PIL.PROCESSINSTANCEID PID, PIL.PROCESSID PNAME, V.ID VARID, V.VARIABLEID VARNAME, V.VALUE VARVALUE FROM PROCESSINSTANCELOG PIL, (SELECT VIL.VARIABLEID, MAX(VIL.ID) AS MAXVILID FROM VARIABLEINSTANCELOG VIL  GROUP BY VIL.PROCESSINSTANCEID, VIL.VARIABLEID) AS X INNER JOIN VARIABLEINSTANCELOG AS V ON V.VARIABLEID = X.VARIABLEID AND V.PROCESSINSTANCEID = PIL.PROCESSINSTANCEID AND V.ID = X.MAXVILID) "dbSQL") "dbSQL"
...
Caused by: com.ibm.db2.jcc.am.SqlSyntaxErrorException: DB2 SQL Error: SQLCODE=-338, SQLSTATE=42972, SQLERRMC=null, DRIVER=4.17.29

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER4

How reproducible:
Always

Steps to Reproduce:
1. Deploy business central with db2-105 datasource
2. Navigate to Process Instances

Actual results:
DataSetLookupException exception

Expected results:
No errors

Additional info:
Comment 2 Pavel Kralik 2015-10-20 10:54:25 EDT
BPMS 6.2.0.ER4/EAP 6.4 server with db2-97 datasource server.log:

15:27:23,840 ERROR [org.dashbuilder.dataprovider.backend.sql.JDBCUtils] (http-localhost/127.0.0.1:8080-19) SELECT COUNT(*) FROM (SELECT * FROM (SELECT PIL.PROCESSINSTANCEID PID, PIL.PROCESSID PNAME, V.ID VARID, V.VARIABLEID VARNAME, V.VALUE VARVALUE FROM PROCESSINSTANCELOG PIL, (SELECT VIL.VARIABLEID, MAX(VIL.ID) AS MAXVILID FROM VARIABLEINSTANCELOG VIL  GROUP BY VIL.PROCESSINSTANCEID, VIL.VARIABLEID) AS X INNER JOIN VARIABLEINSTANCELOG AS V ON V.VARIABLEID = X.VARIABLEID AND V.PROCESSINSTANCEID = PIL.PROCESSINSTANCEID AND V.ID = X.MAXVILID) "dbSQL") "dbSQL"
15:27:23,842 ERROR [org.dashbuilder.dataset.backend.exception.ExceptionManager] (http-localhost/127.0.0.1:8080-19) Can't get metadata on specified data set: jbpmProcessInstancesWithVariables: org.dashbuilder.dataset.exception.DataSetLookupException: Can't get metadata on specified data set: jbpmProcessInstancesWithVariables
...
Caused by: com.ibm.db2.jcc.am.SqlSyntaxErrorException: DB2 SQL Error: SQLCODE=-338, SQLSTATE=42972, SQLERRMC=null, DRIVER=4.14.137
Comment 3 Pavel Kralik 2015-10-20 10:55 EDT
Created attachment 1084801 [details]
db2-97 server log
Comment 4 Neus Miras 2015-10-22 12:36:05 EDT
It was related with the query to show the domain variables associated with a process instance. The query has been modified to run in the different db.
The commits:


6.3.x
https://github.com/droolsjbpm/kie-wb-distributions/commit/0a2905503d021d104665f2877d497a02b7cfc81a

Master
https://github.com/droolsjbpm/kie-wb-distributions/commit/e01ee86dd1e12aa1f736d6c36e65d31b21148017
Comment 5 Pavel Kralik 2015-11-06 05:30:13 EST
BPMS 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.